Loading...
Searching...
No Matches
gx_engine::FileParameter Class Reference

`#include <gx_parameter.h>`

Inheritance diagram for gx_engine::FileParameter:

## Public Member Functions

sigc::signal< void > & | signal_changed ()
bool | set (const Glib::RefPtr< Gio::File > &val)
void | set_path (const string &path)
const Glib::RefPtr< Gio::File > & | get () const
virtual void | stdJSON_value ()
virtual bool | on_off_value ()
virtual void | writeJSON (gx_system::JsonWriter &jw) const
virtual void | readJSON_value (gx_system::JsonParser &jp)
virtual bool | compareJSON_value ()
virtual void | setJSON_value ()
| FileParameter (const string &id, const string &filename, bool preset=false)
| FileParameter (const string &id, bool preset=false)
| FileParameter (gx_system::JsonParser &jp)
virtual void | serializeJSON (gx_system::JsonWriter &jw)
void | set_standard (const string &filename)
bool | is_equal (const Glib::RefPtr< Gio::File > &v) const
bool | is_standard () const
string | get_path () const
string | get_directory_path () const
string | get_parse_name () const
string | get_display_name () const
void | copy (const string &destination) const
Public Member Functions inherited from gx_engine::Parameter
std::string | group_id () const
| Parameter (const string &id, const string &name, value_type vtp, ctrl_type ctp, bool preset, bool ctrl)
| Parameter (gx_system::JsonParser &jp)
virtual | ~Parameter ()
virtual void | trigger_changed ()
bool | isUsed () const
void | setUsed ()
void | dump (gx_system::JsonWriter *jw)
const char * | get_typename () const
bool | isFloat () const
bool | isInt () const
bool | isBool () const
bool | isFile () const
bool | isString () const
ctrl_type | getControlType () const
bool | isControllable () const
bool | isInPreset () const
bool | isSavable () const
void | setSavable (bool v)
bool | isOutput () const
void | setOutput (bool v)
bool | isMaxlevel () const
void | setMaxlevel (bool v)
bool | isNoWarning () const
void | setNoWarning (bool v)
const string & | id () const
const string & | group () const
string | l_group () const
const string & | name () const
string | l_name () const
const string & | desc () const
void | set_desc (const string &desc)
string | l_desc () const
void | set_log_display ()
bool | is_log_display () const
void | set_blocked (bool v)
bool | get_blocked () const
void | set_midi_blocked (bool v)
bool | get_midi_blocked () const
bool | operator== (const Parameter &p) const
virtual bool | hasRange () const
virtual float | getLowerAsFloat () const
virtual float | getUpperAsFloat () const
virtual float | getStepAsFloat () const
virtual const value_pair * | getValueNames () const
FloatParameter & | getFloat ()
IntParameter & | getInt ()
EnumParameter & | getEnum ()
BoolParameter & | getBool ()
FileParameter & | getFile ()
StringParameter & | getString ()
sigc::signal< void, float > & | signal_changed_float ()
sigc::signal< void, int > & | signal_changed_int ()
sigc::signal< void, bool > & | signal_changed_bool ()
sigc::signal< void, const Glib::ustring & > & | signal_changed_string ()

## Protected Attributes

Glib::RefPtr< Gio::File > | value
Glib::RefPtr< Gio::File > | std_value
Glib::RefPtr< Gio::File > | json_value
sigc::signal< void > | changed
Protected Attributes inherited from gx_engine::Parameter
string | _id
string | _name
string | _group
string | _desc
enum value_type | v_type: 3
enum ctrl_type | c_type: 3
unsigned int | d_flags: 2
bool | save_in_preset: 1
bool | controllable: 1
bool | do_not_save: 1
bool | blocked: 1
bool | midi_blocked: 1
bool | output: 1
bool | maxlevel: 1
bool | nowarn: 1
bool | used: 1

## Additional Inherited Members

Public Types inherited from gx_engine::Parameter
enum | ctrl_type { None , Continuous , Switch , Enum }
enum | toggle_type { OnOff = 0 , Constant = 1 , Toggle = 2 , Commander = 3 , _Count = 4 }
Static Public Member Functions inherited from gx_engine::Parameter
static const char * | value_label (const value_pair &vp)
Protected Types inherited from gx_engine::Parameter
enum | value_type { tp_float , tp_int , tp_bool , tp_file , tp_string , tp_special }
enum | display_flags { dtp_normal , dtp_log = 1 }
Protected Member Functions inherited from gx_engine::Parameter
void | range_warning (float value, float lower, float upper)
Static Protected Member Functions inherited from gx_engine::Parameter
static gx_system::JsonParser & | jp_next (gx_system::JsonParser &jp, const char *key)

## Detailed Description

Definition at line 405 of file gx_parameter.h.

## Constructor & Destructor Documentation

## FileParameter() [1/3]

gx_engine::FileParameter::FileParameter | ( | const string & | id,
|  | const string & | filename,
|  | bool | preset = false )

inline

Definition at line 422 of file gx_parameter.h.

## FileParameter() [2/3]

gx_engine::FileParameter::FileParameter | ( | const string & | id,
|  | bool | preset = false )

inline

Definition at line 426 of file gx_parameter.h.

## FileParameter() [3/3]

gx_engine::FileParameter::FileParameter | ( | gx_system::JsonParser & | jp | ) |

## Member Function Documentation

## compareJSON_value()

virtual bool gx_engine::FileParameter::compareJSON_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## copy()

void gx_engine::FileParameter::copy | ( | const string & | destination | ) | const

## get()

const Glib::RefPtr< Gio::File > & gx_engine::FileParameter::get | ( |  | ) | const

inline

Definition at line 415 of file gx_parameter.h.

## get_directory_path()

string gx_engine::FileParameter::get_directory_path | ( |  | ) | const

## get_display_name()

string gx_engine::FileParameter::get_display_name | ( |  | ) | const

## get_parse_name()

string gx_engine::FileParameter::get_parse_name | ( |  | ) | const

## get_path()

string gx_engine::FileParameter::get_path | ( |  | ) | const

## is_equal()

bool gx_engine::FileParameter::is_equal | ( | const Glib::RefPtr< Gio::File > & | v | ) | const

Referenced by is_standard().

## is_standard()

bool gx_engine::FileParameter::is_standard | ( |  | ) | const

inline

Definition at line 434 of file gx_parameter.h.

## on_off_value()

virtual bool gx_engine::FileParameter::on_off_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## readJSON_value()

virtual void gx_engine::FileParameter::readJSON_value | ( | gx_system::JsonParser & | jp | ) |

virtual

Implements gx_engine::Parameter.

## serializeJSON()

virtual void gx_engine::FileParameter::serializeJSON | ( | gx_system::JsonWriter & | jw | ) |

virtual

Reimplemented from gx_engine::Parameter.

## set()

bool gx_engine::FileParameter::set | ( | const Glib::RefPtr< Gio::File > & | val | ) |

## set_path()

void gx_engine::FileParameter::set_path | ( | const string & | path | ) |

## set_standard()

void gx_engine::FileParameter::set_standard | ( | const string & | filename | ) |

## setJSON_value()

virtual void gx_engine::FileParameter::setJSON_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## signal_changed()

sigc::signal< void > & gx_engine::FileParameter::signal_changed | ( |  | ) |

inline

Definition at line 412 of file gx_parameter.h.

## stdJSON_value()

virtual void gx_engine::FileParameter::stdJSON_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## writeJSON()

virtual void gx_engine::FileParameter::writeJSON | ( | gx_system::JsonWriter & | jw | ) | const

virtual

Implements gx_engine::Parameter.

## Member Data Documentation

## changed

sigc::signal<void> gx_engine::FileParameter::changed

protected

Definition at line 410 of file gx_parameter.h.

Referenced by signal_changed().

## json_value

Glib::RefPtr<Gio::File> gx_engine::FileParameter::json_value

protected

Definition at line 409 of file gx_parameter.h.

## std_value

Glib::RefPtr<Gio::File> gx_engine::FileParameter::std_value

protected

Definition at line 408 of file gx_parameter.h.

Referenced by FileParameter(), FileParameter(), and is_standard().

## value

Glib::RefPtr<Gio::File> gx_engine::FileParameter::value

protected

Definition at line 407 of file gx_parameter.h.

Referenced by FileParameter(), FileParameter(), and get().

The documentation for this class was generated from the following file:

- src/headers/gx_parameter.h